Issue 115183 - Resolve Conflicts dialog for Shared Document crashes
Summary: Resolve Conflicts dialog for Shared Document crashes
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: OOO330m11
Hardware: Unknown All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: kla
QA Contact: issues@sc
URL:
Keywords: regression
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-10-21 16:22 UTC by Andrea Pescetti
Modified: 2013-08-07 15:14 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2010-10-21 16:22:39 UTC
The TCM test 110047 crashes consistently in OOo 3.3.0-RC1 Italian, under both
Linux and Windows systems.

Steps to reproduce (from TCM):
1. Choose [File] > [New] > [Spreadsheet]
2. Create cell range A2:B6 with random values
3. Choose [Tools] > [Share Document]
4. Select [Share this spreadsheet with other users] and click [OK] button
5. In [Save As] dialog, enter a filename and click [Save] button
6. Choose [File] > [Close]
7. User 1: Open the saved Calc file
8. User 1: Click [OK] button in the dialog
9. User 2: Open the saved Calc file with a second user (or a second machine or
Login)
10. User 2: Click [OK] button in the dialog
11. User 1: Change the value in cell range A3:B4
12. User 2: Change the value in cell range A3:B4
13. User 1: Click [Save] toolbar button
14. User 2: Click [Save] toolbar button
15. User 2: Check UI messages in [Resolve Conflicts] dialog

Expected at step 15: the [Resolve Conflicts] dialog is shown.

Actual result at step 15: OOo crashes.

[Found by Renzo Bianchi during Italian QA tests]
Comment 1 mdxonefour 2010-10-22 08:53:55 UTC
md: I can reproduce this in an english RC2 build on MacOS.
Note: The crash reporter is not showing up in this case.
Comment 2 niklas.nebel 2010-10-22 09:56:33 UTC
The crash is on all platforms.
Comment 3 niklas.nebel 2010-10-22 12:18:32 UTC
Fixed in CWS "calc33stopper1".
Comment 4 niklas.nebel 2010-10-22 16:04:45 UTC
reassigning to QA for verification
Comment 5 kla 2010-10-25 12:22:44 UTC
Seen ok in cws calc33stopper1 -> verified
Comment 6 kla 2011-02-14 14:46:07 UTC
integrated, closed.